package com.duben.roseplaylet.ui.adapter

import android.view.View
import android.widget.TextView
import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.duben.roseplaylet.R
import com.duben.roseplaylet.mvp.model.*

class CoinAdapter : BaseQuickAdapter<VipBean.ListBean, BaseViewHolder>(R.layout.item_coin) {

    var selectPosition: Int = 0

    init {
        if (data.size > 0) {
            for (i in 0 until data.size) {
                if (data[i].activityType == 1) {
                    selectPosition = i
                    break
                }
            }
        }
    }

    override fun convert(holder: BaseViewHolder, item: VipBean.ListBean) {
        val viewCoin = holder.getView<TextView>(R.id.item_coin)
        viewCoin.text = item.title
        holder.getView<TextView>(R.id.item_cash).text = "￥" + item.firstPayPrice
        val itemView = holder.getView<View>(R.id.item_view)
        if (holder.adapterPosition == selectPosition) {
            itemView.setBackgroundResource(R.drawable.shape_coin_orange)
        } else {
            itemView.setBackgroundResource(R.drawable.shape_coin_gray)
        }
    }

    fun getPosition() = selectPosition

    fun setPosition(selectPosition: Int) {
        this.selectPosition = selectPosition
    }

}